package com.cmvr.edge.client.service;

import cmvr.api.DexhandCommand;
import io.grpc.stub.StreamObserver;

/**
 * @description: 边缘设备 DexHandService 接口
 */
public interface EdgeDexHandService {
    // 基本控制
    DexhandCommand.DexHandState getStatus(String terminalId, String deviceId);
    void setDexHandPos(String terminalId, String deviceId);
    void setDexHandAngle(String terminalId, String deviceId, int id, float value) ;
    void setDexHandForce(String terminalId, String deviceId) ;
    void setDexHandSpeed(String terminalId, String deviceId) ;
    void setDexHandPresetAct(String terminalId, String deviceId);
    String getSensorData(String terminalId, String deviceId) ;
    StreamObserver<DexhandCommand.GetSensorDataStreamCommand.Request> getSensorDataStream(String terminalId, String deviceId) ;
}
